Pressing <Enter> key causes gdm to restart on first boot

Bug #522692 reported by shankao on 2010-02-16
372
This bug affects 77 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Yann Dìnendal

Bug Description

Binary package hint: plymouth

Pressing the enter key sometime during the first X session after boot will kill X and gdm will restart. Subsequent logins will work fine. On investigation, this occurs because X is being sent SIGQUIT (see http://paste.ubuntu.com/382615/ - using trace-signal.ko). After X is killed it starts on a different VT and will no longer be sent SIGQUIT when pressing enter.

It seems that other distributions are working around this by starting X on a different VT to plymouth.

Original description:
Pressing the enter key causes the whole system to freeze. The system still respond to ssh.

It does not happen on every boot, but a visible screen corruption in the top left side of the screen is a symptom that the crash will happen in that session.

Note: This is not a duplicate of bug #516412 as stated by Steve Langasek in the comment #78 there.

WORKAROUND (thanks to Simon Baconnais): kill X by pressing Ctrl+Alt+Print+K fixes the problem until the next reboot. Some also may want to remove the plymouth package until this bug is fixed.

ProblemType: Bug
Architecture: i386
CheckboxSubmission: 56f6196d6c59b6b05a94181cc3955a09
CheckboxSystem: c4d84cd56dc0e1c868ed7fe87c94fd31
Date: Tue Feb 16 16:15:36 2010
DistroRelease: Ubuntu 10.04
Package: plymouth 0.8.0~-10
ProcEnviron:
 LANGUAGE=en_US.UTF-8
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-9.13-generic
SourcePackage: plymouth
Uname: Linux 2.6.32-9-generic i686

---
Architecture: i386
CheckboxSubmission: 56f6196d6c59b6b05a94181cc3955a09
CheckboxSystem: c4d84cd56dc0e1c868ed7fe87c94fd31
DistroRelease: Ubuntu 10.04
MachineType: LG Electronics E200-A.CP29B
Package: plymouth 0.8.0~-10ubuntu1
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-9-generic root=UUID=f1e83727-9d0c-4969-8f3c-f5dd6fa01dbc ro quiet splash
ProcCmdline: BOOT_IMAGE=/boot/vmlinuz-2.6.32-9-generic root=UUID=f1e83727-9d0c-4969-8f3c-f5dd6fa01dbc ro quiet splash
ProcEnviron:
 LANGUAGE=en_US.UTF-8
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VGA16 VGA
ProcVersionSignature: Ubuntu 2.6.32-9.13-generic
Tags: lucid
Uname: Linux 2.6.32-9-generic i686
UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare
dmi.bios.date: 10/02/2007
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: ELBRSF0C
dmi.board.name: Lhotse-II
dmi.board.vendor: LG Electronics Inc.
dmi.board.version: Rev0.4b
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: LG Electronics Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrELBRSF0C:bd10/02/2007:svnLGElectronics:pnE200-A.CP29B:pvr0100:rvnLGElectronicsInc.:rnLhotse-II:rvrRev0.4b:cvnLGElectronicsInc.:ct1:cvrN/A:
dmi.product.name: E200-A.CP29B
dmi.product.version: 0100
dmi.sys.vendor: LG Electronics

shankao (shankao) wrote :
description: updated
Changed in plymouth (Ubuntu):
status: New → Confirmed
tags: added: enter freeze frozen key plymouth return ubuntu
Simon Baconnais (smon) wrote :

I'm affected too

sparker256 (bgood) wrote :

I have this bug with today's daily live usb (02-16-10). I have been seeing it in the daily lives for more that a week so far. If I remove Plymouth from the thumb drive I can press enter with no problems. AMD Athlon 64 X2 Dual Core Processor 6000+ 4GB RAM -- Nvidia GeForce 8800 GTS PCI/Express 640 MB

Ronald McCollam (fader) on 2010-02-17
tags: added: pcert
Dave Morley (davmor2) wrote :

This might not be plymouth as it is also effecting gdm, policykit, terminal and others.

Jacopo Moronato (jmoronat) wrote :

However removing plymouth seems to solve problems.

Steve Langasek (vorlon) wrote :

shankao,

please install plymouth 0.8.0~-10ubuntu1 and libplymouth2 0.8.0~-10ubuntu1 (just uploaded - will be available from the archive in about an hour), and run 'apport-collect -p plymouth 522692'.

apport information

tags: added: apport-collected
description: updated

apport information

apport information

shankao (shankao) wrote : Lspci.txt

apport information

shankao (shankao) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

shankao (shankao) wrote : UdevDb.txt

apport information

apport information

Steve Langasek (vorlon) on 2010-02-18
summary: - Pressing <Enter> key causes X to freeze
+ Pressing <Enter> key causes X to freeze on VGA16FB system

Architecture: amd64
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100217)
MachineType: Dell Inc. Dell DXP061
Package: plymouth 0.8.0~-10ubuntu1
PackageArchitecture: amd64
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-13-generic root=UUID=6136e36a-180b-4aec-9e52-a9cb5f7a3c68 ro quiet splash
ProcCmdline: BOOT_IMAGE=/boot/vmlinuz-2.6.32-13-generic root=UUID=6136e36a-180b-4aec-9e52-a9cb5f7a3c68 ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcFB:
 0 radeondrmfb
 1 VGA16 VGA
ProcVersionSignature: Ubuntu 2.6.32-13.18-generic
Tags: lucid
Uname: Linux 2.6.32-13-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 11/22/2007
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 2.5.3
dmi.board.name: 0WG855
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 7
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr2.5.3:bd11/22/2007:svnDellInc.:pnDellDXP061:pvr:rvnDellInc.:rn0WG855:rvr:cvnDellInc.:ct7:cvr:
dmi.product.name: Dell DXP061
dmi.sys.vendor: Dell Inc.

apport information

Affected by this bug too, but I worked around it by avoiding the Enter key. I was able to login by clicking the Login button with the mouse. Currently doing an upgrade, but the GUI disappeared for me when I tried to wake from the screensaver.

Mio (m10) wrote : fixed for me

This is no longer an issue for me..

No more freezes for me.
Still a problem for you ?

shankao (shankao) wrote :

Yes, still a problem as today.

Yann Dìnendal (yannbreliere) wrote :

As said in <a href="https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/516412/comments/129">comment 129</a> of bug #516412, since today, pressing enter in GDM restarts it instead of freezing.

shankao (shankao) on 2010-02-23
summary: - Pressing <Enter> key causes X to freeze on VGA16FB system
+ Pressing <Enter> key causes gdm to restart on VGA16FB system

Confirmed the gdm restart instead of freeze.
It's the only noticeable change as the rest of the related problems are still in (screen corruption, the gdm restart itself). But this maybe makes the bug easier to deal with.

Jacopo Moronato (jmoronat) wrote :

I have to confirm this bug too. However it only happened to me after activating and using Nvidia proprietary drivers.

Simon Baconnais (smon) wrote :

Same problem here, with intel 945GM

zniavre (zniavre2048-gmail) wrote :

always this problem

as workaround removing plymouth works but at boot you ll get some warnings

as soon i reinstalled plymouth it did it again

boot > gdm >log/pass > enter key gives crash

im using nvidia fx5500 with 173.14.25 nvidia from nvidia.run

 cat /proc/fb
0 VGA16 VGA

 ~/Desktop$ ps aw | grep X.*vt
 1142 tty7 Ss+ 1:02 /usr/bin/X :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-x4MTU6/database -nolisten tcp vt7
 2187 pts/0 S+ 0:00 grep --color=auto X.*vt

I can confirm it too.
I experience this problem using radeon driver.

owen.c (owen-c93) wrote :

Confirm with nvidia 190.5xx

I can confirm that this bug still affects the video driver used within Virtual Box as well. System is Lucid Alpha 3 running in a virtual environment under Virtual Box 3.1.4 on a Karmic host system. The systems are exactly the same as those seen with Nvidia proprietary drivers. GDM restarts after hitting enter during log on but then works OK at second log on.

Oops, sentence above should have read "... symptoms are exactly the same as those seen with Nvidia proprietary drivers."

owen.c (owen-c93) wrote :

If it's any help after I press the letter "r" then my scroll lock comes on, this does not happen the second time I try to login.

summary: - Pressing <Enter> key causes gdm to restart on VGA16FB system
+ Pressing <Enter> key causes gdm to restart on first boot
description: updated
Alex Valavanis (valavanisalex) wrote :

See also bug #522554 "Logged out when typing 2 or @"

Alkis Georgopoulos (alkisg) wrote :

I don't think [Enter] is the cause of the problem.
I think there's an address mixup and the virtual consoles write to the "graphics buffer" instead of the "text buffer", and [Enter] just makes it easier to cause a segfault, because it moves the "writing address" a lot further.

I can reproduce the bug with the alpha 3 live cd, either by hitting enter or by writing a lot of characters without hitting enter.

If any developer wants vnc or ssh access to debug it, feel free to ping me in irc.freenode.net (e.g. in #ltsp).

Nagy Ferenc László (nfl) wrote :

You can mark bug #529999 (Login screen restarts when "2" is typed) as a duplicate, but then you should change the bug title.

Stephan Muhs (stephan-dinoco) wrote :

I can confirm that X restarts the first time the "2" key is pressed. If this is not on the login screen, it will happen after logon, whenever and whereever you press that key. (x64 Lucid Alpha 3 "clean install", nVidia drivers 195, PS/2 Standard keyboard, German layout). Removing the proprietary nVidia driver made no difference for me.

Removing plymouth and plymouth-x11 resolves the problem for me.

burivoy (burivoy) wrote :

I have installed Lucid on HP Pavilion zv5000 with ATI Mobility Radeon(TM) 9000 IGP. Ufter update of this bloody plymouth I never started X. After pressing Enter I hear the login sound and cursor appers but that is all. Nothing helped - neither uninstalling plymouth nor reinstalling xorg. Developers should test such a things on different graphic cards prior to send it to repo.

This happens also to me, with LiveCD, and an clean Lucid alpha 3 instalacion, and also with all updates. (AMD64bits and i386bits)

I have auto login, and just after I put the gnome-keyring password, the X restarts, and ask to login again.

Steve Langasek (vorlon) wrote :

If uninstalling plymouth doesn't resolve the problem for you, then it is unrelated to this bug. You should file a separate bug report.

I can confirm this also happening with Sis graphic card on my Acer 3004.
System Updated 04/04.
Login stops at grainy screen, and the mouse cursor is just a square. Attempts Ctrl+Alt+F1 to get to console causes the system to freeze.
Hard reboot, and get to Gdm. Click on user and input password causes Gdm to reload.
Second time logs in to Desktop.

For me, this has been happening since the first Alpha.

Nagy Ferenc László (nfl) wrote :

Interesting. The problem disappeared for me for a day, but after today's update it's here again.

owen.c (owen-c93) wrote :

Theres about 3 or 4 different threads in ubuntu forums because lots of people think it's random or related to firefox (pressing enter in search) update manager (pressing enter after password). This bug seems to affect the mojority of people using nvidia drivers.

Nick Booker (nmbooker) wrote :

For me it happens as I enter the fourth character of my password in GDM - I don't get the chance to press Enter.

Nick Booker (nmbooker) wrote :

Further to post 42, I'm using an nvidia driver too.

Martin Karlsson (foh1981) wrote :

Does that character happen to be a 2 or an @? :) There's a related bug #522554 where that happens, it's marked as a duplicate of this bug.

Download full text (3.6 KiB)

I can reproduce it pressing 2 on an Italian QWERTY, so I think it's
definitely a 2 :)

On Sat, Mar 6, 2010 at 14:07, Martin Karlsson <email address hidden>wrote:

> Does that character happen to be a 2 or an @? :) There's a related bug
> #522554 where that happens, it's marked as a duplicate of this bug.
>
> --
> Pressing <Enter> key causes gdm to restart on first boot
> https://bugs.launchpad.net/bugs/522692
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “plymouth” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: plymouth
>
> Pressing the enter key sometime during the first X session after boot will
> kill X and gdm will restart. Subsequent logins will work fine. On
> investigation, this occurs because X is being sent SIGQUIT (see
> http://paste.ubuntu.com/382615/ - using trace-signal.ko). After X is
> killed it starts on a different VT and will no longer be sent SIGQUIT when
> pressing enter.
>
> It seems that other distributions are working around this by starting X on
> a different VT to plymouth.
>
> Original description:
> Pressing the enter key causes the whole system to freeze. The system still
> respond to ssh.
>
> It does not happen on every boot, but a visible screen corruption in the
> top left side of the screen is a symptom that the crash will happen in that
> session.
>
> Note: This is not a duplicate of bug #516412 as stated by Steve Langasek in
> the comment #78 there.
>
> WORKAROUND (thanks to Simon Baconnais): kill X by pressing Ctrl+Alt+Print+K
> fixes the problem until the next reboot. Some also may want to remove the
> plymouth package until this bug is fixed.
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 56f6196d6c59b6b05a94181cc3955a09
> CheckboxSystem: c4d84cd56dc0e1c868ed7fe87c94fd31
> Date: Tue Feb 16 16:15:36 2010
> DistroRelease: Ubuntu 10.04
> Package: plymouth 0.8.0~-10
> ProcEnviron:
> LANGUAGE=en_US.UTF-8
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-9.13-generic
> SourcePackage: plymouth
> Uname: Linux 2.6.32-9-generic i686
>
> ---
> Architecture: i386
> CheckboxSubmission: 56f6196d6c59b6b05a94181cc3955a09
> CheckboxSystem: c4d84cd56dc0e1c868ed7fe87c94fd31
> DistroRelease: Ubuntu 10.04
> MachineType: LG Electronics E200-A.CP29B
> Package: plymouth 0.8.0~-10ubuntu1
> PackageArchitecture: i386
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-9-generic
> root=UUID=f1e83727-9d0c-4969-8f3c-f5dd6fa01dbc ro quiet splash
> ProcCmdline: BOOT_IMAGE=/boot/vmlinuz-2.6.32-9-generic
> root=UUID=f1e83727-9d0c-4969-8f3c-f5dd6fa01dbc ro quiet splash
> ProcEnviron:
> LANGUAGE=en_US.UTF-8
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 VGA16 VGA
> ProcVersionSignature: Ubuntu 2.6.32-9.13-generic
> Tags: lucid
> Uname: Linux 2.6.32-9-generic i686
> UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare
> dmi.bios.date: 10/02/2007
> dmi.bios.vendor: Phoenix Technologies LTD
> dmi.bios.version: ELBRSF0C
> dmi.board.name: Lhotse-II
> dmi.board.vendor: LG Electronics Inc.
> dmi.board.version: Rev0.4b
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 1
> ...

Read more...

Nick Booker (nmbooker) wrote :

An apostrophe ('). I have a UK keyboard so it's the same key as @.

On 6 March 2010 13:07, Martin Karlsson <email address hidden> wrote:
> Does that character happen to be a 2 or an @? :) There's a related bug
> #522554 where that happens, it's marked as a duplicate of this bug.
>
> --
> Pressing <Enter> key causes gdm to restart on first boot
> https://bugs.launchpad.net/bugs/522692
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Nick Booker (nmbooker) wrote :

Oops sorry scrub that, the 5th is a 2 which is the point when it
crashes. Sorry for misleading.

On 6 March 2010 13:28, Nick Booker <email address hidden> wrote:
> An apostrophe (').  I have a UK keyboard so it's the same key as @.
>
> On 6 March 2010 13:07, Martin Karlsson <email address hidden> wrote:
>> Does that character happen to be a 2 or an @? :) There's a related bug
>> #522554 where that happens, it's marked as a duplicate of this bug.
>>
>> --
>> Pressing <Enter> key causes gdm to restart on first boot
>> https://bugs.launchpad.net/bugs/522692
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>

TJ (tj) wrote :

This is caused by an interaction with plymouth. The solution is being worked on in bug #532047 "Plymouth text-mode splash causes X to crash on first run due to shared tty7"

Claudio Moretti (flyingstar16) wrote :

I am marking this bug as a duplicate of #532047, even if this was opened before, as this bug importance has not yet been decided and in the other one there's a solution WIP.
This is unusual but not unique (happened to me once), so please don't complain =)

euthymos (euthymos) wrote :

Horrible bug, affects me too

Alberto R Mitre (armitre) wrote :

Didn't affect me until a few days ago. I'm running Maverick.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers